Subject: Adaptec 1520 driver
From: [email-masked] (Drew Eckhardt)
Date: Wed, 14 Jul 93 14:10:14 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce

I've noticed that there's a lot of interest in an Adaptec 1520 driver
(Inspite the explicitly "not supported boards Q/A" in my SCSI FAQ,
I get a couple mails a week concerning the lack of 1520 support),
although to my knowledge no one has volunteered to write one.

I can't seem to kick my eating habbit and my summer job is over when 
summer is, so I need to put food on the table somehow. Doing unix/Linux
development is preferable to less fun work, so if the price is right 
(based on what the 1520 looks like architecturally) I'll buy a board
and do a driver.

Naturally, the resulting driver will fall under the GPL so anyone 
can use it after it's written, however if I can't get enough of a financial 
commitment in the first place I won't be the one to write it.

Relevant qualifications : I wrote the original Linux SCSI code, wrote and 
currently maintain the Seagate driver (the Seagates are dumb boards 
where the SCSI bus is directly driven by the driver software, architecturally 
the 1522 could be closer to this than the other SCSI drivers), and am very 
familiar with Linux, the Linux SCSI code and the SCSI-I and SCSI-II 
specifications.

So, basically I'd like some quantitative feedback as to 

	How many users need an Adaptec 1520 driver, and what it's worth
	to them.

If the initial response is good, I'll get specs from Adaptec,
figure out what it will take to write a driver, and come up 
with a firm figure as to what I need ($X, including my time, an 
Adaptec board, phone bills for calls to Adaptec tech. support, etc).

I'd like to do payment on delivery (ie, you send a check when you 
have a working 1520 driver) since IMHO this works best for everyone, 
you aren't out money until you have a working driver, and I have 
motivation to get a driver that works for everyone.

However, where the $X comes from is open to discussion : 

	I can do this as either X * (dishonesty factor) (with our 
	on-your-honor, quarter in the coffee jar pop refridgerator at work, 
	we need to sell at 1.2 times our cost to break even) = Y users times 
	Z dollars each, or using a more "communistic" from each what he's 
	willing to pay approach where X * (dishonesty factor) = a total of 
	$Y from some number of users.

	Business sponsors are also welcome.

-- 
Boycott USL/Novell for their absurd anti-BSDI lawsuit. | 
Condemn Colorado for Amendment Two.		       | Drew Eckhardt
Use Linux, the fast, flexible, and free 386 unix       | [email-masked] 
Will administer Unix for food                          |

--
Selected by Matt Welsh (not Maddi Hausmann). MAIL your joke (jokes ONLY)
to [email-masked]. Please, no administrivia, "mouse balls"
or offensive jokes. Attribute the joke's source if at all possible.